from enum import Enum

from pydantic import BaseModel


class FaultCategory(BaseModel):
    no_problems_found: bool | None = False
    control_logic_err: bool | None = False
    over_constrained: bool | None = False
    insufficient_heating: bool | None = False
    insufficient_cooling: bool | None = False
    excessive_heating: bool | None = False
    excessive_cooling: bool | None = False
    controller_err: bool | None = False
    sensor_err: bool | None = False
    unreasonable_vav_flow_limit: bool | None = False
    obj_info_err: bool | None = False
    undefined_err: bool | None = True
    hardware_err: bool | None = False
