from pydantic import BaseModel


class EarlyStartDTRModelPathBase(BaseModel):
    project_id: str | None
    device_id: str | None
    summer_model_path: str | None
    winter_model_path: str | None


class EarlyStartDTRModelPathCreate(EarlyStartDTRModelPathBase):
    pass


class EarlyStartDTRModelPathUpdate(EarlyStartDTRModelPathBase):
    pass


class EarlyStartDTRModelPathInDBBase(EarlyStartDTRModelPathBase):
    id: int | None

    class Config:
        orm_mode = True


class EarlyStartDTRModelPath(EarlyStartDTRModelPathInDBBase):
    pass


class EarlyStartDTRModelPathInDB(EarlyStartDTRModelPathInDBBase):
    pass
